var F = require('functionally')

var paginate = require('../helpers/paginate')
var selectBy = require('../helpers/selectBy')
var filterOnUser = require('../helpers/filterOnUser')

module.exports = F.curry(function(metaTable, metaColumns, name, value, config){

    return selectBy(name, value)
            .execute()
            .then(function(result){
                var first = result.rows[0]

                if (!first){
                    throw new Error('No entity found with name ' + value + '.')
                }

                return filterOnUser(first.json)
            })
})