var getMetaTable = require('../../getMetaTable')

module.exports = function(name, value){

    var metaTable  = getMetaTable()
    var IdColumn   = metaTable.c.id
    var JsonColumn = metaTable.c.json

    var JsonPropertyColumn = JsonColumn.jsonField(name)

    return metaTable
                .select(IdColumn, JsonColumn, JsonPropertyColumn)
                .where(JsonPropertyColumn)
                    .is(value, { type: 'text' })
                    .end()
}