'use strict'

var Table   = require('alchemy/Table')
var Column  = require('alchemy/Column')
var Types   = require('alchemy/Types')

var CONFIG  = require('./config')

var table

module.exports = function(){

    if (!table){
        table = Table(
                    CONFIG.metadataTableName,
                    null,
                    Column('id', Types.UUID, { primaryKey: true }),
                    Column('json', Types.Json)
                )
    }

    return table
}