/**
 * Configure and export alchemy
 */
var CONFIG = require('./config')

var buildAlchemy = require('alchemy')
var alchemy

module.exports = function(connString){
    if (alchemy){
        return alchemy
    }

    alchemy = buildAlchemy(connString || CONFIG.connectionString)

    alchemy
        .set('main.logfile', CONFIG.alchemy['main.logfile'])
        .set('sql.logfile' , CONFIG.alchemy['sql.logfile' ])

    return alchemy
}