var EntityBase = require('../../EntityBase')
var getById    = require('./getById')

function entityTable(name){
    return 'entity_' + name.toLowerCase()
}

module.exports = function(metaTable, columns, json){

    json.table = json.table || entityTable(json.name)

    return EntityBase.fromJSON(json)
                .create()
                .then(function(id){
                    return getById(metaTable, columns, id)
                })

}