/**
 * We will list all entity models
 *
 */
var paginate = require('../helpers/paginate')
var filterOnUser = require('../helpers/filterOnUser')

module.exports = function(metaTable, columns, config){

    return paginate(
                metaTable.select(columns.id, columns.json),
                config
            ).then(function(result){
                result.rows = result.rows.map(filterOnUser)

                return result
            })
}