var F = require('functionally')

var except = F.curry(function(keys, obj){

    var result = {}

    Object.keys(obj).filter(function(key){
        return keys.indexOf(key) == -1
    }).forEach(function(key){
        result[key] = obj[key]
    })

    return result
})

var exceptSecret = except(['salt','password'])

module.exports = function(json){
    if (json.name == 'User'){
        json.properties = exceptSecret(json.properties)
    }

    return json
}