var Promise = require('bluebird')

var getEntityById = require('../entity/getById')
var EntityBase = require('../../EntityBase')
var CONFIG = require('../../config')

module.exports = function(metaTable, columns, entityId, json){

    console.log('CREATE RECORD FOR ENTITY')

    return getEntityById(metaTable, columns, entityId)
            .then(function(entityJson){

                json.id = json.id || CONFIG.uuidFn

                return EntityBase.fromJSON(entityJson)
                        .insert(json)
                        .then(function(result){
                            console.log(result)
                            return result
                        })
            })
}